org.postgis

## Class GeometryTokenizer

- java.lang.Object
- - org.postgis.GeometryTokenizer

    public class GeometryTokenizer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`GeometryTokenizer()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `removeLeadingAndTrailingStrings(String string, String leadingString, String trailingString)`
`static List<String>` `tokenize(String string, char delimiter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeometryTokenizer

    public GeometryTokenizer()

### Method Detail

#### tokenize

    public static List<String> tokenize(String string,
                                        char delimiter)

#### removeLeadingAndTrailingStrings

    public static String removeLeadingAndTrailingStrings(String string,
                                                         String leadingString,
                                                         String trailingString)